- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# FbxGlobalSettings Class Reference

This reference page is linked to from the following overview topics: Supported Scene Elements, FBX Scenes, Lights, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class contains functions for accessing global settings.

Examples:

  ExportScene03/main.cxx, ImportScene/DisplayGlobalSettings.cxx, ImportScene/DisplayGlobalSettings.h, ViewScene/SceneContext.cxx, and ViewScene/SetCamera.cxx.

Definition at line 32 of file fbxglobalsettings.h.

`#include <fbxglobalsettings.h>`

Inheritance diagram for FbxGlobalSettings:
[legend]

List of all members.

## Public Member Functions
void | SetOriginalUpAxis (const FbxAxisSystem &pAxisSystem)
| Sets the coordinate system's original Up Axis when the scene is created.
int | GetOriginalUpAxis () const
| Returns the coordinate system's original Up Axis.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
## Protected Member Functions
virtual void | Construct (const FbxGlobalSettings *pFrom)
virtual bool | ConstructProperties (bool pForceSet)
## Friends
class | FbxScene
## Axis system
void | SetAxisSystem (const FbxAxisSystem &pAxisSystem)
| Sets the scene's coordinate system.
FbxAxisSystem | GetAxisSystem ()
| Returns the scene's current coordinate system.
## System Units
void | SetSystemUnit (const FbxSystemUnit &pOther)
| Sets the unit of measurement used by the system.
FbxSystemUnit | GetSystemUnit () const
| Returns the unit of measurement used by the system.
void | SetOriginalSystemUnit (const FbxSystemUnit &pOther)
| Sets the original unit of measurement used by the system.
FbxSystemUnit | GetOriginalSystemUnit () const
| Returns the original unit of measurement used by the system.
## Light Settings
void | SetAmbientColor (FbxColor pAmbientColor)
| Sets the ambient color.
FbxColor | GetAmbientColor () const
| Returns the ambient color.
## Camera Settings
static const char * | ePRODUCER_PERSPECTIVE
| Defined camera name: PRODUCER_PERSPECTIVE.
static const char * | ePRODUCER_TOP
| Defined camera name: PRODUCER_TOP.
static const char * | ePRODUCER_FRONT
| Defined camera name: PRODUCER_FRONT.
static const char * | ePRODUCER_BACK
| Defined camera name: PRODUCER_BACK.
static const char * | ePRODUCER_RIGHT
| Defined camera name: PRODUCER_RIGHT.
static const char * | ePRODUCER_LEFT
| Defined camera name: PRODUCER_LEFT.
static const char * | ePRODUCER_BOTTOM
| Defined camera name: PRODUCER_BOTTOM.
bool | SetDefaultCamera (const char *pCameraName)
| Sets the default camera.
FbxString | GetDefaultCamera () const
| Returns the default camera name.
## Time Settings
void | SetTimeMode (FbxTime::EMode pTimeMode)
| Sets the time mode.
FbxTime::EMode | GetTimeMode () const
| Returns the time mode.
void | SetTimelineDefaultTimeSpan (const FbxTimeSpan &pTimeSpan)
| Sets the default time span of the time line.
void | GetTimelineDefaultTimeSpan (FbxTimeSpan &pTimeSpan) const
| Returns the default time span of the time line.
void | SetCustomFrameRate (double pCustomFrameRate)
| Set custom frame rate.
double | GetCustomFrameRate () const
| Return frame rate if the time mode is FbxTime::eCustom.
## Properties
FbxPropertyT< FbxInt > | UpAxis
FbxPropertyT< FbxInt > | UpAxisSign
FbxPropertyT< FbxInt > | FrontAxis
FbxPropertyT< FbxInt > | FrontAxisSign
FbxPropertyT< FbxInt > | CoordAxis
FbxPropertyT< FbxInt > | CoordAxisSign
FbxPropertyT< FbxInt > | OriginalUpAxis
FbxPropertyT< FbxInt > | OriginalUpAxisSign
FbxPropertyT< FbxDouble > | UnitScaleFactor
FbxPropertyT< FbxDouble > | OriginalUnitScaleFactor
FbxPropertyT< FbxDouble3 > | AmbientColor
FbxPropertyT< FbxString > | DefaultCamera
FbxPropertyT< FbxEnum > | TimeMode
FbxPropertyT< FbxTime > | TimeSpanStart
FbxPropertyT< FbxTime > | TimeSpanStop
FbxPropertyT< FbxDouble > | CustomFrameRate

## Member Function Documentation

void SetAxisSystem | ( | const FbxAxisSystem & | pAxisSystem | ) |

Search for all occurrences

Sets the scene's coordinate system.

Parameters:

  pAxisSystem | The coordinate system to set.

FbxAxisSystem GetAxisSystem | ( |  | ) |

Search for all occurrences

Returns the scene's current coordinate system.

Returns:
  The scene's current coordinate system.

void SetOriginalUpAxis | ( | const FbxAxisSystem & | pAxisSystem | ) |

Search for all occurrences

Sets the coordinate system's original Up Axis when the scene is created.

Parameters:

  pAxisSystem | The coordinate system whose Up Axis is copied.

int GetOriginalUpAxis | ( |  | ) | const

Search for all occurrences

Returns the coordinate system's original Up Axis.

Returns:
  The coordinate system's original Up Axis when the scene is created. 0 is X, 1 is Y, 2 is Z axis.

void SetSystemUnit | ( | const FbxSystemUnit & | pOther | ) |

Search for all occurrences

Sets the unit of measurement used by the system.

Parameters:

  pOther | The system unit to set.

FbxSystemUnit GetSystemUnit | ( |  | ) | const

Search for all occurrences

Returns the unit of measurement used by the system.

Returns:
  The unit of measurement used by the system.

void SetOriginalSystemUnit | ( | const FbxSystemUnit & | pOther | ) |

Search for all occurrences

Sets the original unit of measurement used by the system.

Parameters:

  pOther | The original system unit to set.

FbxSystemUnit GetOriginalSystemUnit | ( |  | ) | const

Search for all occurrences

Returns the original unit of measurement used by the system.

Returns:
  The original unit of measurement used by the system.

void SetAmbientColor | ( | FbxColor | pAmbientColor | ) |

Search for all occurrences

Sets the ambient color.

Parameters:

  pAmbientColor | The ambient color to set.

Remarks:
  The ambient color only uses the RGB channels.

Examples:
  ExportScene04/main.cxx.

FbxColor GetAmbientColor | ( |  | ) | const

Search for all occurrences

Returns the ambient color.

Returns:
  The ambient color.

Examples:
  ImportScene/DisplayGlobalSettings.cxx, and ViewScene/DrawScene.cxx.

bool SetDefaultCamera | ( | const char * | pCameraName | ) |

Search for all occurrences

Sets the default camera.

Parameters:

  pCameraName | Name of the default camera.

Returns:
  `true` if camera name is valid, returns `false` if the camera does not have a valid name.

Remarks:
  A valid camera name can be either one of the defined tokens (PRODUCER_PERSPECTIVE, PRODUCER_TOP, PRODUCER_FRONT, PRODUCER_BACK, PRODUCER_RIGHT, PRODUCER_LEFT and PRODUCER_BOTTOM) or the name of a camera inserted in the node tree under the scene's root node.

Examples:
  ExportScene04/main.cxx, and ViewScene/SceneContext.cxx.

FbxString GetDefaultCamera | ( |  | ) | const

Search for all occurrences

Returns the default camera name.

Returns:
  The default camera name, or an empty string if no camera name has been set.

Examples:
  ImportScene/DisplayGlobalSettings.cxx, and ViewScene/SetCamera.cxx.

void SetTimeMode | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

Sets the time mode.

Parameters:

  pTimeMode | One of the defined modes in class FbxTime.

FbxTime::EMode GetTimeMode | ( |  | ) | const

Search for all occurrences

Returns the time mode.

Returns:
  The currently set TimeMode.

Examples:
  ExportScene03/main.cxx, and ImportScene/DisplayGlobalSettings.cxx.

void SetTimelineDefaultTimeSpan | ( | const FbxTimeSpan & | pTimeSpan | ) |

Search for all occurrences

Sets the default time span of the time line.

Parameters:

  pTimeSpan | The default time span of the time line.

void GetTimelineDefaultTimeSpan | ( | FbxTimeSpan & | pTimeSpan | ) | const

Search for all occurrences

Returns the default time span of the time line.

Parameters:

  pTimeSpan | The default time span of the time line.

Examples:
  ImportScene/DisplayGlobalSettings.cxx.

void SetCustomFrameRate | ( | double | pCustomFrameRate | ) |

Search for all occurrences

Set custom frame rate.

This is meaningless if the time mode is not FbxTime::eCustom.

double GetCustomFrameRate | ( |  | ) | const

Search for all occurrences

Return frame rate if the time mode is FbxTime::eCustom.

If the time mode is not FbxTime::eCustom, return -1.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Construct | ( | const FbxGlobalSettings * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Friends And Related Function Documentation

friend class FbxScene `[friend]`

Search for all occurrences

Reimplemented from FbxObject.

Definition at line 239 of file fbxglobalsettings.h.

## Member Data Documentation

const char* ePRODUCER_PERSPECTIVE `[static]`

Search for all occurrences

Defined camera name: PRODUCER_PERSPECTIVE.

Definition at line 115 of file fbxglobalsettings.h.

const char* ePRODUCER_TOP `[static]`

Search for all occurrences

Defined camera name: PRODUCER_TOP.

Definition at line 118 of file fbxglobalsettings.h.

const char* ePRODUCER_FRONT `[static]`

Search for all occurrences

Defined camera name: PRODUCER_FRONT.

Definition at line 121 of file fbxglobalsettings.h.

const char* ePRODUCER_BACK `[static]`

Search for all occurrences

Defined camera name: PRODUCER_BACK.

Definition at line 124 of file fbxglobalsettings.h.

const char* ePRODUCER_RIGHT `[static]`

Search for all occurrences

Defined camera name: PRODUCER_RIGHT.

Definition at line 127 of file fbxglobalsettings.h.

const char* ePRODUCER_LEFT `[static]`

Search for all occurrences

Defined camera name: PRODUCER_LEFT.

Definition at line 130 of file fbxglobalsettings.h.

const char* ePRODUCER_BOTTOM `[static]`

Search for all occurrences

Defined camera name: PRODUCER_BOTTOM.

Definition at line 133 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> UpAxis `[protected]`

Search for all occurrences

Definition at line 203 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> UpAxisSign `[protected]`

Search for all occurrences

Definition at line 204 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> FrontAxis `[protected]`

Search for all occurrences

Definition at line 206 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> FrontAxisSign `[protected]`

Search for all occurrences

Definition at line 207 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> CoordAxis `[protected]`

Search for all occurrences

Definition at line 209 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> CoordAxisSign `[protected]`

Search for all occurrences

Definition at line 210 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> OriginalUpAxis `[protected]`

Search for all occurrences

Definition at line 212 of file fbxglobalsettings.h.

FbxPropertyT<FbxInt> OriginalUpAxisSign `[protected]`

Search for all occurrences

Definition at line 213 of file fbxglobalsettings.h.

FbxPropertyT<FbxDouble> UnitScaleFactor `[protected]`

Search for all occurrences

Definition at line 215 of file fbxglobalsettings.h.

FbxPropertyT<FbxDouble> OriginalUnitScaleFactor `[protected]`

Search for all occurrences

Definition at line 216 of file fbxglobalsettings.h.

FbxPropertyT<FbxDouble3> AmbientColor `[protected]`

Search for all occurrences

Definition at line 218 of file fbxglobalsettings.h.

FbxPropertyT<FbxString> DefaultCamera `[protected]`

Search for all occurrences

Definition at line 219 of file fbxglobalsettings.h.

FbxPropertyT<FbxEnum> TimeMode `[protected]`

Search for all occurrences

Definition at line 220 of file fbxglobalsettings.h.

FbxPropertyT<FbxTime> TimeSpanStart `[protected]`

Search for all occurrences

Definition at line 221 of file fbxglobalsettings.h.

FbxPropertyT<FbxTime> TimeSpanStop `[protected]`

Search for all occurrences

Definition at line 222 of file fbxglobalsettings.h.

FbxPropertyT<FbxDouble> CustomFrameRate `[protected]`

Search for all occurrences

Definition at line 223 of file fbxglobalsettings.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxglobalsettings.h

FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings
FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings FbxGlobalSettings